List Access Profiles

Retrieve all access profiles with optional filtering and detailed entity information

Endpoint

GET /api/private/lifecycle_management/access_profiles

Description

Lists all Veza Access Profiles in your organization with support for filtering and optional detailed entity information. You can filter results using SCIM-format filter expressions and request additional entity details to understand the relationships each profile contains.

API Reference

get
Authorizations
AuthorizationstringRequired

Veza API key for authentication. Generate keys in Administration > API Keys.

Query parameters
filterstringOptional
order_bystringOptional
page_sizeinteger · int32Optional
page_tokenstringOptional
entity_extra_infobooleanOptional
include_requestablebooleanOptional
Responses
chevron-right
200

OK

application/json
next_page_tokenstringOptional
has_morebooleanOptional
get
/api/private/lifecycle_management/access_profiles

Request schema

Query parameters

Query parameter
Type
Required?
Description

filter

string

Optional

SCIM filter expression to filter results

entity_extra_info

boolean

Optional

When true, includes additional entity relationship details with provider names and external IDs

Filter Parameters

Veza uses the SCIM filter format including AND/OR logical operations. Examples:

Filter
Description
Example URL

integrations co "SALESFORCE"

Contains SALESFORCE in integrations

?filter=integrations+co+%22SALESFORCE%22

integrations eq "SALESFORCE"

Exact match on SALESFORCE

?filter=integrations+eq+%22SALESFORCE%22

provider_ids co "3cedc292-4014-45e9-b7d9-8cb1695e1454"

Contains provider ID

?filter=provider_ids+co+%223cedc292-4014-45e9-b7d9-8cb1695e1454%22

labels co "requestable"

Contains label

?filter=labels+co+%22requestable%22

profile_type eq "13ddf132-0868-4330-a0a3-41b088f6a4dc"

Exact match on profile type

?filter=profile_type+eq+%2213ddf132-0868-4330-a0a3-41b088f6a4dc%22

Complex filters can be created using logical operators:

circle-info

Filters use SCIM format with URL encoding. The co operator checks if a value is contained within an array, while eq requires an exact match.

Request Examples

List all access profiles:

Response Examples

Standard list response:

Last updated

Was this helpful?